Bootstrap 3.3.7 发布,支持 jQuery 3 - 开源中国社区
Bootstrap 3.3.7 发布,支持 jQuery 3
oschina 2016年07月26日

Bootstrap 3.3.7 发布,支持 jQuery 3

oschina oschina 发布于2016年07月26日 收藏 15

腾讯云-1小时搭建人工智能应用,让技术更容易入门>>>  

Bootstrap 3.3.7 发布了,本次发布改进记录如下:

JavaScript

  • #19192 Fix keyboard navigation for toggle buttons (checkbox, radio, single toggle) following a mouse click

  • #19659: Clear tooltip's $element to prevent leaking memory

  • #20019: Avoid calling jQuery('#') since it's a syntax error in jQuery 3

  • #20259: Backport jQuery-related JS unit test fixes from v4

  • #20278: button.js: Set disabled property in addition to disabled attribute, for jQuery 3 compatibility

  • #20313: Avoid using $.offset() on SVGs since it gives incorrect results in jQuery 3

  • #20338: Update jQuery version check and jQuery dependency version range to allow jQuery 3

CSS

No significant changes.

Accessibility

  • #19704: Add aria-label and callout about labeling pagination components

Docs

  • #19263 Bump html5shiv to v3.7.3

  • #19273 Port v4 browser support table format to v3

  • #19893: Update jQuery to v1.12.4

  • Numerous Wall of Browser Bugs updates

下载地址:https://github.com/twbs/bootstrap/archive/v3.3.7.zip

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Bootstrap 3.3.7 发布,支持 jQuery 3
分享
评论(11)
最新评论
0
让用户使用火狐或者谷歌,简单啊。
0

引用来自“TerryZ”的评论

什么时候国产的浏览器可以全体抵制IE10以下的,就可以放心大胆的用新的jquery,新的bootstrap了,为了能更好点的兼容IE8,现在还不得不只能用Bootstrap2,MD
360明明帮你们强制升级IE8被骂后,你觉得还有谁会帮助推动升级?
0
什么时候国产的浏览器可以全体抵制IE10以下的,就可以放心大胆的用新的jquery,新的bootstrap了,为了能更好点的兼容IE8,现在还不得不只能用Bootstrap2,MD
0
然而....并..
0

引用来自“涉水轻舟”的评论

Material Design 走起…
MD 也太多,Google 官方就有 Angular1 和 2 支持, 还有 material design lite. 第三方大把。
0

引用来自“叫我刀刀”的评论

支持语音编程吗? 就是大喊一声: 变变变,就做好了那样子
暂时不支持,5.6版本的时候考虑添加这个功能,你至负责喊变变变,他给你随机出效果。
0
Material Design 走起…
0
4.0估计国内10年,不会流行。5.0估计20年了!
0

引用来自“zhantan”的评论

4.0半年多没动静了
听说4.0是从 Less 迁移到 Sass,5.0考虑使用Postcss,变化都好激进啊
0
4.0半年多没动静了
0
支持语音编程吗? 就是大喊一声: 变变变,就做好了那样子
顶部